
.h_top {
    background-color: var(--white-00);
}

.gsap_y {
    opacity: 0;
    transform: translateY(20px);
}

/*---------------------- sec1 ----------------------*/
.sec1 {
    width: 100%;
    height: 400vh;
    position: relative;
}
.sticky_box {
    width: 100%;
    height: 100vh;
    padding: 80px 0;
    position: sticky;
    top: 0;
    left: 0;
    background-color: var(--gray-100);
}
.sticky_inner {
    width: 100%;
    height: 100%;
    border-top: 1px solid var(--line);
    border-bottom: 1px solid var(--line);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}
.sticky_inner::before {
    content: '';
    display: block;
    width: 1px;
    height: 100%;
    background-color: var(--line);
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
}
.main_title {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    overflow: hidden;
}
.main_title p {
    width: 100%;
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
    opacity: 0;
    transform: translateY(10px);
    text-wrap: nowrap;
}
.main_title p:first-child {
    text-align: right;
}


.text_scroll {
    width: 100%;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    display: flex;
    gap: 40px;
    overflow: hidden;
    pointer-events: none
}
.text_scroll div {
    display: flex;
    gap: 40px;
    flex-shrink: 0;
    animation: scroll 40s infinite linear;
}
@keyframes scroll {
    to {
        transform: translateX(calc(-100% - 40px));
    }
}
.text_scroll span {
    font-family: var(--font-eng);
    font-size: 200px;
    font-weight: var(--semi-bold);
    color: var(--gray-600);
    opacity: .05;
    flex-shrink: 0;
}
.scroll_down {
    font-size: var(--ft12);
    color: var(--gray-400);
    position: absolute;
    bottom: -40px;
    left: 50%;
    transform: translateX(-50%);
}


.sticky_img {
    width: 180px;
    height: 60px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.sticky_img_inner {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    transition: border .4s ease;
}
.sticky_bg {
    width: 100%;
    height: 0px;
    background-color: var(--gray-300);
}
.bg_inner {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--black-200);
    padding-top: 180px;
    opacity: 0;
    transition: opacity .3s ease;
}
.bg_title {
    line-height: 1;
}
.bg_title span {
    font-size: var(--ft32);
    font-weight: var(--semi-bold);
    color: var(--white-300);
    background: linear-gradient(to right, var(--white), var(--white)) no-repeat;
    -webkit-background-clip: text;
    background-clip: text;
    background-size: 0%;
}


.sticky_img.show .bg_inner {
    opacity: 1;
    transition: opacity .6s .6s ease;
}
.sticky_img.show .sticky_img_inner {
    border-radius: var(--radius);
}


/*---------------------- sec2 ----------------------*/
.sec2 {
    margin-top: 80px;
    border-top: 1px solid var(--line);
    border-bottom: 1px solid var(--line);
}
.sec2_flex {
    display: flex;
}
.sec2_flex > * {
    width: 50%;
}
.sec2_l {
    margin-left: calc((100% - var(--container-lg)) / 2);
    padding: 100px 80px;
    border-left: 1px solid var(--line);
    border-right: 1px solid var(--line);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.sec2_title,
.sec2_title span {
    font-size: var(--ft40);
    font-weight: var(--semi-bold);
}
.sec2_title span:first-child {
    color: var(--gray-300);
}
.sec2_text {
    font-size: var(--ft18);
    color: var(--gray-500);
}
.sec2_r {
    padding: 40px;
}
.sec2_img {
    width: 100%;
    height: 650px;
    border-radius: var(--radius);
    overflow: hidden;
    background-color: var(--gray-100);
}

.sec2_btm {
    padding: 120px 0;
    border-top: 1px solid var(--line);
}
.value_list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
.value_list li {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.value_icon {
    width: 180px;
    height: 180px;
    margin-bottom: 50px;
}
.value_icon * {
    stroke: var(--gray-300);
    transform: scale(0);
    transform-origin: center center !important;
}
.value_title {
    margin-bottom: 24px;
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
    color: var(--gray-500);
}
.value_text {
    font-size: var(--ft18);
    color: var(--gray-500);
}

/*---------------------- sec3 ----------------------*/
.sec3 {
    margin-top: 40px;
    padding-top: 160px;
    padding-bottom: 40px;
    background: url(/images/rigel/about_4.png) no-repeat center/cover;
}
.promise_wrap {
    margin-top: 80px;
    border-top: 1px solid var(--line);
    border-bottom: 1px solid var(--line);
    display: flex;
}
.promise_wrap > * {
    width: 50%;
}
.promise_l {
    padding: 40px;
    border-right: 1px solid var(--line);
}
.promise_img {
    width: 100%;
    height: 800px;
    border-radius: var(--radius);
    overflow: hidden;
    position: relative;
}
.promise_img img {
    position: absolute;
    top: 0;
    opacity: 0;
    transition: opacity .4s ease;
}
.promise_img img.show {
    opacity: 1;
}

.promise_list {
    display: flex;
    flex-direction: column;
}
.promise_list li {
    height: 100%;
    padding: 40px 60px;
    border-bottom: 1px solid var(--line);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 0;
    transition: padding .6s ease, flex .6s ease;
    cursor: pointer;
}
.promise_list li:last-child {
    border-bottom: none;
}
.promise_title_box {
    display: flex;
    align-items: center;
    gap: 20px;
}
.promise_title_box * {
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
    color: var(--gray-600);
    transition: font-size .3s ease;
}
.promise_num {
    color: var(--gray-300);
}
.promise_text {
    font-size: var(--ft18);
    color: var(--gray-500);
    display: none;
}

.promise_list li.active {
    flex: 1;
    padding: 80px 60px;
}
.promise_list li.active .promise_title_box * {
    font-size: var(--ft32);
}
.promise_list li.active .promise_text {
    display: block;
}

/*---------------------- sec4 ----------------------*/
.sec4 {
    margin-top: 160px;
    overflow: hidden;
}
.sec4 .sec_title {
    font-size: var(--ft32);
}
.sec4 .rigel_logo {
    width: 100px;
    height: 100px;
    margin: 0 auto 24px;
}
.facility_swiper {
    margin-top: 80px;
    position: relative;
}
.facility_box {
    width: 1000px;
    aspect-ratio: 16 / 9;
    position: relative;
}
.facility_box.swiper-slide-active::before,
.facility_box.swiper-slide-active::after {
    opacity: 1;
}
.facility_box::before,
.facility_box::after {
    content: '';
    display: block;
    width: 20px;
    height: 120px;
    background-color: var(--white);
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
    opacity: 0;
}
.facility_box::before {
    left: 0;
    border-radius: 0 50px 50px 0;
}
.facility_box::after {
    right: 0;
    border-radius: 50px 0 0 50px;
}
.facility_img {
    width: 100%;
    height: 100%;
    border-radius: var(--radius);
    overflow: hidden;
    background-color: var(--gray-100);
    position: relative;
}
.facility_text {
    padding: 8px 20px;
    border-radius: var(--radius);
    background-color: var(--black-600);
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
    color: var(--white);
    position: absolute;
    bottom: 24px;
    left: 24px;
}
.swiper_btn_box {
    width: 1000px;
    display: flex;
    justify-content: space-between;
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    margin: 0 auto;
    transform: translateY(-50%);
    z-index: 1;
}
.swiper_btn {
    width: 32px;
    height: 32px;
    opacity: .4;
    transition: opacity .4s ease;
    cursor: pointer;
}
.swiper_btn:hover {
    opacity: 1;
}
.swiper_btn.swiper_prev {
    transform: translateX(-25px);
}
.swiper_btn.swiper_next {
    transform: translateX(25px);
}

@media all and (max-width: 1720px) {
    /*-- sec2 --*/
    .sec2_l {
        margin-left: 60px;
    }
}

@media all and (max-width: 1400px) {
    /*-- sec2 --*/
    .sec2_l {
        padding: 80px 60px;
    }
    .sec2_title, 
    .sec2_title span {
        font-size: var(--ft32);
    }

    .value_icon {
        width: 120px;
        height: 120px;
    }

    /*-- sec3 --*/
    .promise_list li {
        padding: 30px;
    }
    .promise_list li.active {
        padding: 60px 30px;
    }
    .promise_title_box * {
        font-size: var(--ft18);
    }
    .promise_list li.active 
    .promise_title_box * {
        font-size: var(--ft24);
    }
    .promise_img {
        height: 600px;
    }
}

@media all and (max-width: 1024px) {
    /*-- sec1 --*/
    .sticky_box {
        padding-bottom: 120px;
    }
    .bg_title span {
        font-size: var(--ft28);
    }
    .sticky_img {
        transform: translateX(-50%) translateY(calc(-50% - 20px));
    }

    /*-- sec2 --*/
    .sec2_flex {
        flex-direction: column;
    }
    .sec2_l {
        width: 100%;
        margin: 0;
        padding: 40px;
        padding-bottom: 0;
        border: none;
    }
    
    .sec2_title, 
    .sec2_title span {
        font-size: var(--ft28);
    }
    .sec2_title {
        margin-bottom: 24px;
    }
    .sec2_r {
        width: 100%;
    }
    .sec2_img {
        height: 300px;
    }

    .sec2_btm {
        padding: 80px 0;
    }
    .value_icon {
        width: 100px;
        height: 100px;
    }
    .value_title {
        margin-bottom: 16px;
        font-size: var(--ft20);
    }

    /*-- sec3 --*/
    .sec3 {
        padding-top: 100px;
    }
    .promise_l {
        display: none;
    }
    .promise_list {
        width: 100%;
    }
    .promise_text {
        margin-top: 20px;
    }
    .promise_list li.active {
        padding: 30px;
    }
    
    /*-- sec4 --*/
    .sec4 {
        margin-top: 100px;
    }
    .sec4 .rigel_logo {
        width: 80px;
        height: 80px;
    }
    .facility_swiper {
        margin-top: 40px;
    }
    .swiper_btn_box {
        display: none;
    }
    .facility_box::before, 
    .facility_box::after {
        display: none;
    }
}

@media all and (max-width: 768px) {
    /*-- sec1 --*/
    .text_scroll span {
        font-size: 80px;
    }
    .main_title p {
        font-size: var(--ft18);
    }
    .sticky_img {
        width: 100px;
    }
    .bg_inner {
        padding-top: 0px;
    }
    .bg_inner > div {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
    }
    .bg_title,
    .bg_title span {
        font-size: var(--ft24);
    }

    /*-- sec2 --*/
    .sec2_l {
        padding: 20px;
        padding-bottom: 0;
    }
    .sec2_title {
        margin-bottom: 16px;
    }
    .sec2_title, 
    .sec2_title span {
        font-size: var(--ft22);
    }
    .sec2_text {
        font-size: var(--ft16);
    }
    .sec2_r {
        padding: 20px;
    }
    .sec2_img {
        height: 240px;
    }

    .sec2_btm {
        padding: 40px 0;
    }
    .value_list {
        grid-template-columns: repeat(1, 1fr);
        gap: 40px;
    }
    .value_icon {
        width: 80px;
        height: 80px;
        margin-bottom: 20px;
    }
    .value_title {
        margin-bottom: 12px;
        font-size: var(--ft18);
    }
    .value_text {
        font-size: var(--ft16);
    }

    /*-- sec3 --*/
    .sec3 {
        padding-top: 60px;
    }
    .promise_wrap {
        margin-top: 40px;
    }
    .promise_title_box {
        gap: 12px;
    }
    .promise_list li,
    .promise_list li.active {
        padding: 20px;
    }
    .promise_list li.active 
    .promise_title_box * {
        font-size: var(--ft18);
    }
    .promise_text {
        font-size: var(--ft16);
    }

    /*-- sec4 --*/
    .sec4 .rigel_logo {
        width: 50px;
        height: 50px;
    }
    .sec4 .sec_title {
        font-size: var(--ft24);
    }
    .facility_text {
        padding: 4px 10px;
        left: 10px;
        bottom: 10px;
    }
}